import { eCheckResult } from '../../../../../../../consts';
import { ePortraitComparisonSource } from './consts';
/**
* Interface for portraits comparison comparable
*/
export interface iRPortraitComparisonComparable {
    /**
    * Portraits comparison source
    * @type {ePortraitComparisonSource}
    */
    source: ePortraitComparisonSource;
    /**
    * Check result
    * @type {eCheckResult}
    */
    checkResult: eCheckResult;
    /**
    * Identity percent of the etalon and sample image
    * @type {number}
    */
    similarity: number;
    /**
    * Reference image
    * @type {string}
    */
    image: string;
}
/**
* Authenticity image check list item
*/
export declare class RPortraitComparisonComparable implements iRPortraitComparisonComparable {
    /**
    * Portraits comparison source
    * @type {ePortraitComparisonSource}
    */
    source: ePortraitComparisonSource;
    /**
    * Check result
    * @type {eCheckResult}
    */
    checkResult: eCheckResult;
    /**
    * Identity percent of the etalon and sample image
    * @type {number}
    */
    similarity: number;
    /**
    * Reference image
    * @type {string}
    */
    image: string;
    /**
    * Create instance of RPortraitComparisonComparable from plain object
    * @param {any} input - plain object
    * @returns {RPortraitComparisonComparable}
    */
    static fromPlain: (input: any) => RPortraitComparisonComparable;
}
